package Source::Package::Pair;

use strict;
use warnings;

our $VERSION=0.001;

sub new {
    my $class=shift;
    my $self = {
	@_,
    };
    #print STDERR "Source::Package::Pair: new: ",join(' ',@_),"\n";
    bless($self,$class);
}

sub destname {
    my ($self)=@_;
    return $self->{-destname};
}

sub originname {
    my ($self)=@_;
    return $self->{-originname};
}

sub origin {
    my ($self)=@_;
    return $self->{-origin} if exists $self->{-origin};
    my $origin;
    my $originrepo=$self->{-originrepo};
    my $originname=$self->{-originname};
    $origin=$originrepo->name2pkg($originname) if $originrepo and defined ($originname);
    # even if it is undef
    $self->{-origin}=$origin;
    return $origin;

}

sub dest {
    my ($self)=@_;
    return $self->{-dest} if exists $self->{-dest};
    my $dest;
    my $destrepo=$self->{-destrepo};
    my $destname=$self->{-destname};
    $dest = $destrepo->name2pkg($destname) if $destrepo and defined ($destname);
    # even if it is undef
    $self->{-dest}=$dest;
    return $dest;
}

1;
